# $Revision: 1.36 $, $Date: 2008/11/23 23:54:01 $
# TODO:
#	- find some decent replacement. this package is old and
#	obsoleted, but seems good enough as build dependency
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
#
%include	/usr/lib/rpm/macros.java
Summary:	Java Servlet and JSP API Classes
Summary(pl.UTF-8):	Klasy API z implementacją Java Servlet i JSP
Name:		java-servletapi
Version:	4
Release:	12
License:	Apache
Group:		Libraries/Java
Source0:	http://jakarta.apache.org/builds/jakarta-tomcat-4.0/release/v4.0/src/jakarta-servletapi-%{version}-src.tar.gz
# Source0-md5:	cbf88ed51ee2be5a6ce3bace9d8bdb62
Patch0:		jakarta-servletapi-ant.patch
URL:		http://tomcat.apache.org/
BuildRequires:	ant >= 1.3
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Provides:	jakarta-servletapi
Requires:	jre
Provides:	servlet = 4
Provides:	servletapi4
Obsoletes:	jakarta-servletapi
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This subproject contains the compiled code for the implementation
classes of the Java Servlet and JSP APIs (packages javax.servlet,
javax.servlet.http, javax.servlet.jsp, and javax.servlet.jsp.tagext).

%description -l pl.UTF-8
Ten podprojekt zawiera skompilowany kod klas zawierających
implementację standardów API Java Servlet i JSP (pakiety
javax.servlet, javax.servlet.http, javax.servlet.jsp, and
javax.servlet.jsp.tagext).

%package javadoc
Summary:	servletapi documentation
Summary(pl.UTF-8):	Dokumentacja do servletapi
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-servletapi-doc

%description javadoc
servletapi documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do servletapi.

%prep
%setup -q -n jakarta-servletapi-%{version}-src
%patch0 -p1

%build
%ant dist %{?with_javadoc:javadoc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

cp -a dist/lib/servlet.jar $RPM_BUILD_ROOT%{_javadir}/servletapi-%{version}.jar
ln -s servletapi-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/servlet.jar
ln -s servletapi-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/servletapi4.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc BUILDING.txt LICENSE README.txt
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-servletapi.spec,v $
Revision 1.36  2008/11/23 23:54:01  glen
- rename to java-servletapi.spec

Revision 1.35  2007/12/13 14:57:37  glen
- P versioned servlet = 4; rel 12

Revision 1.34  2007-12-09 02:39:49  glen
- drop P: servlet4

Revision 1.33  2007-12-09 02:37:56  glen
- drop P: servlet23 (nothing uses it now)

Revision 1.32  2007-11-20 18:03:40  glen
- java deps; adapter

Revision 1.31  2007-11-20 17:50:27  glen
- missing javaprov; rel 11

Revision 1.30  2007-11-20 17:24:22  glen
- rel 10 (grr, smb fix the lost mails problem already)

Revision 1.29  2007-11-20 00:54:10  glen
- rel 9

Revision 1.28  2007-11-18 13:43:50  glen
- javadoc bcond
- unify building
- build with binary compatability for 1.4; rel 8

Revision 1.27  2007-04-11 06:42:14  qboosh
- updated URL

Revision 1.26  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.24  2007/01/23 23:17:34  glen
- make the servletapi4.jar symlink too

Revision 1.23  2007/01/23 23:07:57  glen
- P: servletapi4 (seems to be same as http://www.jpackage.org/cgi-bin/viewvc.cgi/rpms/devel/servletapi4/?root=jpackage)

Revision 1.22  2006/12/08 01:12:44  glen
- -javadoc R: jpackage-utils for parent dirs; rel 5

Revision 1.21  2006/05/24 11:01:20  qboosh
- Obsoletes for jakarta-servletapi-doc

Revision 1.20  2006/05/24 10:55:14  jajcus
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- -javadoc subpackage for API documentation
- versioned JAR

Revision 1.19  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.18  2004/12/14 15:48:07  baggins
- DON'T hardcode paths!

Revision 1.17  2003/07/03 22:28:50  qboosh
- longer descriptions

Revision 1.16  2003/07/02 11:40:26  pascalek
- Release 4
- build fixes
- Provides servlet, servlet4 and servlet23

Revision 1.15  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/08/24 20:18:18  qboosh
- standarized JAVA_HOME, added versions to BR

Revision 1.12  2002/08/18 17:15:24  blues
- release 3 - license fix, new doc

Revision 1.11  2002/05/14 09:30:12  blues
- exported modified PATH

Revision 1.10  2002/05/14 09:16:12  blues
- check for JAVA_HOME, do not set it...

Revision 1.9  2002/04/25 16:38:34  arturs
- fixed a small typo

Revision 1.8  2002/04/06 22:48:38  areq
- add JAVA_HOME

Revision 1.7  2002/03/12 19:12:58  aflinta
- changed requires to jdk
- relese 2

Revision 1.6  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:23  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/09 16:18:13  ankry
- Fixed source URL

Revision 1.2  2001/11/30 12:31:25  qboosh
- pl translations, cosmetics, removed bashisms

Revision 1.1  2001/10/02 09:03:23  pascalek
- initial revision
